package cn.gov.customs.wxjy.base.service;

import java.util.List;
import cn.gov.customs.cacp.sdks.core.user.trans.CacpTransUser;
import cn.gov.customs.wxjy.base.pojo.PackCatalog;
import cn.gov.customs.wxjy.base.pojo.PackCatalogQuery;
import com.github.pagehelper.PageInfo;

/**
 * 包装种类目录Service接口
 *
 * @author xiong
 * @date 2025-12-16
 */
public interface IPackCatalogService {
    /**
     * 查询包装种类目录
     *
     * @param ID 包装种类目录主键
     * @return 包装种类目录
     */
    public PackCatalog selectByID(String ID);

    /**
     * 分页查询包装种类目录列表
     *
     * @param query
     * @return 包装种类目录集合
     */
    public PageInfo<PackCatalog> selectPageList(PackCatalogQuery query);

    /**
     * 查询包装种类目录列表
     *
     * @param query
     * @return 包装种类目录集合
     */
    public List<PackCatalog> selectList(PackCatalogQuery query);

    /**
     * 新增包装种类目录
     *
     * @param packCatalog 包装种类目录
     * @return 结果
     */
    public int insert(PackCatalog packCatalog);

    /**
     * 修改包装种类目录
     *
     * @param packCatalog 包装种类目录
     * @return 结果
     */
    public int update(PackCatalog packCatalog);

    /**
     * 批量删除包装种类目录
     *
     * @param ids 需要删除的ids主键集合
     * @return 结果
     */
    public int deleteByIDs(String[] ids);

    /**
     * 删除包装种类目录信息
     *
     * @param ID 包装种类目录主键
     * @return 结果
     */
    public int deleteByID(String ID);

    /**
     * 逻辑删除包装种类目录信息
     *
     * @param ID 包装种类目录主键
     * @return 结果
     */
    public int logicDelete(String ID);

    /**
     * 导入包装种类目录数据
     *
     * @param packCatalogList 包装种类目录数据列表
     * @param isUpdateSupport 是否更新支持，如果已存在，则进行更新数据
     * @param cacpTransUser 操作用户
     * @return 结果
     */
    public String importPackCatalog(List<PackCatalog> packCatalogList, Boolean isUpdateSupport, CacpTransUser cacpTransUser);
}
